通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Advanced Threat Protection - Get

获取指定资源的高级威胁防护设置。

GET https://management.azure.com/{resourceId}/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview

URI 参数

名称 必需 类型 说明
resourceId
path True

string

资源的标识符。

settingName
path True

string

高级威胁防护设置名称。

api-version
query True

string

作的 API 版本

响应

名称 类型 说明
200 OK

AdvancedThreatProtectionSetting

成功请求获取高级威胁防护设置。

Other Status Codes

CloudError

描述操作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Gets the Advanced Threat Protection settings for the specified resource.

示例请求

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview

示例响应

{
  "id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current",
  "name": "current",
  "type": "Microsoft.Security/advancedThreatProtectionSettings",
  "properties": {
    "isEnabled": true
  }
}

定义

名称 说明
AdvancedThreatProtectionSetting

高级威胁防护资源。

CloudError

所有 Azure 资源管理器 API 的常见错误响应,以返回失败操作的错误详细信息。 (这也遵循 OData 错误响应格式)。

CloudErrorBody

错误详细信息。

ErrorAdditionalInfo

资源管理错误附加信息。

AdvancedThreatProtectionSetting

高级威胁防护资源。

名称 类型 说明
id

string

资源 ID

name

string

资源名称

properties.isEnabled

boolean

指示是否启用高级威胁防护。

type

string

资源类型

CloudError

所有 Azure 资源管理器 API 的常见错误响应,以返回失败操作的错误详细信息。 (这也遵循 OData 错误响应格式)。

名称 类型 说明
error.additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

error.code

string

错误代码。

error.details

CloudErrorBody[]

错误详细信息。

error.message

string

错误消息。

error.target

string

错误目标。

CloudErrorBody

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

CloudErrorBody[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。